/**
 * คำนวณหน้าที่จะแสดงหลังจากลบข้อมูล
 *
 * @param page หน้าปัจจุบัน
 * @param maxPage หน้าสุดท้าย
 * @param total จำนวนข้อมูลในหน้าปัจจุบัน
 * @returns หน้าที่ควรแสดง
 */
export async function updateCurrentPage(
  page: number,
  maxPage: number,
  total: number
) {
  // ถ้าหน้าปัจจุบันไม่ใช่หน้าแรก และเป็นหน้าสุดท้าย และมีข้อมูลเหลือ 1 รายการ ให้กลับไปหน้าก่อนหน้า
  if (page > 1 && page === maxPage && total === 1) {
    return page - 1;
  }
  return page;
}
